﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web;
using System.Web.SessionState;

namespace VI.Chat.VIChatControl
{
    internal class SessionWrapper
    {
        protected virtual HttpSessionState Session
        {
            get;
            set;
        }

        public SessionWrapper()
        {

        }

        public SessionWrapper(HttpSessionState session)
        {
            this.Session = session;
        }

        #region User
        private const string keyUser = "ChatUser";
        public virtual string User
        {
            get
            {
                return (string)Session[keyUser];
            }
            set
            {
                Session[keyUser] = value;
            }
        }
        #endregion
    }
}
